Bug 1278327 - computer failed to restart during upgrade, left with part 22 and part 23
computer failed to restart during upgrade, left with part 22 and part 23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 04:43 EST by carl
Modified: 2016-12-20 10:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:24:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carl 2015-11-05 04:43:23 EST
Description of problem:
I successfully ran the download part of the upgrade process to Fedora 23. I then ran the reboot part, and my computer didn't restart properly (as it occasionally does possibly due to some flaky hardware I think). After a few attempts I managed to get it to start, but it didn't manage to complete the boot process. I dug through some logs and found stuff about the X server having too many errors, and a problem with harfbuzz.so (or similar) being "too short". I removed some versions of harfbuzz and managed to get my computer to restart, but some parts think it is now 23 (e.g. Gnome system details) while others think it is still 22 (e.g. DNF).

Unfortunately I have since made various modifications to attempt to fix things but have had no success and may have made it worse. This includes repeating the download and reboot several times with no change.


How reproducible:

Probably not very


Steps to Reproduce:
1. sudo dnf system-upgrade download --releasever=23
2. sudo dnf system-upgrade reboot
3. boot fails for unknown reason

Actual results:
Some parts of OS think it is now 23 (e.g. Gnome system details) while others think it is still 22 (e.g. DNF).

Expected results:
Everything should be Fedora 23

Additional info:
Sorry for having flaky hardware. Is there anyway to recover this - either reverting back to Fedora 22 and retrying, or forcing it all on to Fedora 23?

Some apps no longer work great: google-chrome-stable (reinstalled) doesn't show any content, and atom has no menus (they are there but contain no text).
Comment 1 carl 2015-11-05 04:49:10 EST
OK I see in the DNF log that retrying the upgrade doesn't work because:

Nov 05 22:09:50 INFO --- logging initialized ---
Nov 05 22:09:50 DDEBUG timer: config: 7 ms
Nov 05 22:09:50 DEBUG cachedir: /var/cache/dnf
Nov 05 22:09:51 DEBUG Loaded plugins: config-manager, copr, system-upgrade, builddep, reposync, debuginfo-install, generate_completion_cac
he, needs-restarting, Query, download, playground, protected_packages, noroot
Nov 05 22:09:51 DEBUG DNF version: 1.1.3
Nov 05 22:09:51 DDEBUG Command: dnf 
Nov 05 22:09:51 DDEBUG Installroot: /
Nov 05 22:09:51 DDEBUG Releasever: 22
Nov 05 22:09:51 DDEBUG Base command: system-upgrade
Nov 05 22:09:51 DDEBUG Extra commands: ['reboot']
Nov 05 22:10:37 INFO --- logging initialized ---
Nov 05 22:10:37 DDEBUG timer: config: 12 ms
Nov 05 22:10:37 DEBUG cachedir: /var/cache/dnf
Nov 05 22:10:37 DEBUG Loaded plugins: config-manager, noroot, debuginfo-install, Query, system-upgrade, playground, copr, protected_packag
es, reposync, builddep, download, generate_completion_cache, needs-restarting
Nov 05 22:10:37 DEBUG DNF version: 1.1.3
Nov 05 22:10:37 DDEBUG Command: dnf 
Nov 05 22:10:37 DDEBUG Installroot: /
Nov 05 22:10:37 DDEBUG Releasever: 23
Nov 05 22:10:37 DDEBUG Base command: system-upgrade
Nov 05 22:10:37 DDEBUG Extra commands: ['upgrade']
Nov 05 22:10:37 DDEBUG timer: sack setup: 44 ms
Nov 05 22:10:39 DEBUG --> Starting dependency resolution
Nov 05 22:10:39 DEBUG --> Finished dependency resolution
Nov 05 22:10:39 DDEBUG timer: depsolve: 69 ms
Nov 05 22:10:39 SUBDEBUG 
raceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 163, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 535, in resolve
    raise exc
dnf.exceptions.DepsolveError: cannot install both alsa-lib-1.0.29-2.fc23.i686 and alsa-lib-1.0.29-1.fc22.i686.
cannot install both atk-2.18.0-1.fc23.i686 and atk-2.16.0-1.fc22.i686.
...
etc.
Comment 2 carl 2015-11-05 05:13:59 EST
In reviewing the DNF logs it looks like some stuff did happen on that first reboot before my computer stopped responding (I had thought it had not even started). The logs, with complete package listings removed, look like:

Nov 04 17:25:38 INFO --- logging initialized ---
Nov 04 17:25:38 DDEBUG timer: config: 10 ms
Nov 04 17:25:38 DEBUG cachedir: /var/cache/dnf
Nov 04 17:25:38 DEBUG Loaded plugins: migrate, copr, playground, download, reposync, noroot, protected_packages, Query, system-upgrade, builddep, needs-restarting, debuginfo-install, generate_completion_cache, config-manager
Nov 04 17:25:38 DEBUG DNF version: 1.1.3
Nov 04 17:25:38 DEBUG_2 Command: dnf system-upgrade reboot 
Nov 04 17:25:38 DEBUG_2 Installroot: /
Nov 04 17:25:38 DEBUG_2 Releasever: 22
Nov 04 17:25:38 DEBUG_2 Base command: system-upgrade
Nov 04 17:25:38 DEBUG_2 Extra commands: [u'reboot']
Nov 04 17:26:43 INFO --- logging initialized ---
Nov 04 17:26:43 DDEBUG timer: config: 16 ms
Nov 04 17:26:43 DEBUG cachedir: /var/cache/dnf
Nov 04 17:26:44 DEBUG Loaded plugins: migrate, copr, playground, download, reposync, noroot, protected_packages, Query, system-upgrade, builddep, needs-restarting, debuginfo-install, generate_completion_cache, config-manager
Nov 04 17:26:44 DEBUG DNF version: 1.1.3
Nov 04 17:26:44 DEBUG_2 Command: dnf --releasever=23 system-upgrade upgrade 
Nov 04 17:26:44 DEBUG_2 Installroot: /
Nov 04 17:26:44 DEBUG_2 Releasever: 23
Nov 04 17:26:44 DEBUG_2 Base command: system-upgrade
Nov 04 17:26:44 DEBUG_2 Extra commands: [u'upgrade']
Nov 04 17:26:44 DEBUG_2 timer: sack setup: 382 ms
Nov 04 17:26:48 DEBUG --> Starting dependency resolution
Nov 04 17:26:48 DEBUG ---> Package efivar-libs.x86_64 0.21-2.fc22 will be downgraded
Nov 04 17:26:48 DEBUG ---> Package efivar-libs.x86_64 0.21-1.fc23 will be a downgrade
...
Nov 04 17:26:49 DEBUG ---> Package kernel.x86_64 4.1.7-200.fc22 will be erased
Nov 04 17:26:49 DEBUG ---> Package kernel-core.x86_64 4.1.7-200.fc22 will be erased
Nov 04 17:26:49 DEBUG ---> Package kernel-modules.x86_64 4.1.7-200.fc22 will be erased
Nov 04 17:26:49 DEBUG --> Finished dependency resolution
Nov 04 17:26:49 DEBUG_2 timer: depsolve: 998 ms
Nov 04 17:26:49 INFO Dependencies resolved.
Nov 04 17:26:49 INFO ================================================================================
 Package                     Arch   Version                  Repository    Size
================================================================================
Installing:
 GeoIP                       x86_64 1.6.6-1.fc23             @commandline 118 k
 GeoIP-GeoLite-data          noarch 2015.09-1.fc23           @commandline 353 k
...
Upgrading:
 GConf2                      x86_64 3.2.6-15.fc23            @commandline 1.0 M
 GraphicsMagick              x86_64 1.3.22-1.fc23            @commandline 1.4 M
...
Removing:
 kernel                      x86_64 4.1.7-200.fc22           @System        0  
 kernel-core                 x86_64 4.1.7-200.fc22           @System       42 M
 kernel-modules              x86_64 4.1.7-200.fc22           @System       17 M
Downgrading:
 efivar-libs                 x86_64 0.21-1.fc23              @commandline  53 k
...
Transaction Summary
================================================================================
Install      91 Packages
Upgrade    1972 Packages
Remove        3 Packages
Downgrade    20 Packages

Nov 04 17:26:49 INFO Total size: 1.5 G
Nov 04 17:26:49 INFO Downloading Packages:
Nov 04 17:26:49 INFO Running transaction check
Nov 04 17:26:54 INFO Transaction check succeeded.
Nov 04 17:26:54 INFO Running transaction test
Nov 04 17:27:00 INFO Transaction test succeeded.
Nov 04 17:27:00 DEBUG_2 timer: transaction test: 5530 ms
Nov 04 17:27:00 INFO Running transaction
Nov 04 17:27:17 DEBUG_2 RPM transaction start.

And then nothing.

Let me know if there is any further information you would like me to supply. thanks.
Comment 3 Fedora End Of Life 2016-11-24 08:05:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:24:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.